# docker/homebridge

- name: Create directories
  become: yes
  file:
    path: "{{ homebridge_home }}"
    owner: "{{ admin_user }}"
    group: "{{ admin_group }}"
    state: directory

- name: Copy templates
  become_user: "{{ admin_user }}"
  template:
    src: "{{ item }}.j2"
    dest: "{{ homebridge_home }}/{{ item }}"
  with_items:
    - "docker-compose.yml"
  notify: Restart homebridge

- name: Enable homebridge
  docker_compose:
    project_src: "{{ homebridge_home }}"
